Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19328

Description

When I click "Connect" on the add WMS dialog, QGIS makes a request to GetCapabilities.

However, for some reason when you click "add" for a specified layer, QGIS makes the exact same request again for GetCaps. This

second one is redundant; QGIS should still have the first cached.

In fact, every time you add a layer, QGIS makes the same GetCapabilities request.

10.90.69.154 - - [30/Jul/2014:13:52:02 +0100] "GET /geoserver/ows?SERVICE=WMS&REQUEST=GetCapabilities HTTP/1.1" 200

17204 "-" "QGIS QGIS/2.4.0-Chugiak" 

10.90.69.154 - - [30/Jul/2014:13:52:07 +0100] "GET /geoserver/ows?SERVICE=WMS&REQUEST=GetCapabilities HTTP/1.1" 200

17204 "-" "QGIS QGIS/2.4.0-Chugiak" 

10.90.69.154 - - [30/Jul/2014:13:52:07 +0100] "GET

/geoserver/ows?SERVICE=WMS&VERSION=1.3.0&REQUEST=GetMap&BBOX=399999.92160000000149012,229999.68640000000596046,460000.15679999999701977,310000&CRS=EPSG:27

596046,460000.15679999999701977,310000&CRS=EPSG:27700&WIDTH=693&HEIGHT=923&LAYERS=Historical_Maps:10000_OSPlan_3a_processed&STYLES=&FORMAT=image/png&DPI=96&MAP_RESOLUTION=96&FORMAT_OPTIONS=dpi:96&TRANSPARENT=TRUE HTTP/1.1" 200 222896 "-" "QGIS QGIS/2.4.0-Chugi

Plan_3a_processed&STYLES=&FORMAT=image/png&DPI=96&MAP_RESOLUTION=96&FORMAT_OPTIONS=dpi:96&TRANSPARENT=TRUE HTTP/1.1" 200 222896 "-" "QGIS QGIS/2.4.0-Chugiak" 

NT=TRUE HTTP/1.1" 200 222896 "-" "QGIS QGIS/2.4.0-Chugiak" 

10.90.69.154 - - [30/Jul/2014:13:52:28 +0100] "GET /geoserver/ows?SERVICE=WMS&REQUEST=GetCapabilities HTTP/1.1" 200

17204 "-" "QGIS QGIS/2.4.0-Chugiak" 

10.90.69.154 - - [30/Jul/2014:13:52:28 +0100] "GET

/geoserver/ows?SERVICE=WMS&VERSION=1.3.0&REQUEST=GetMap&BBOX=387393.06103578949114308,227999.67856000000028871,472607.01736421050736681,312000.00783999997

028871,472607.01736421050736681,312000.00783999997656792&CRS=EPSG:27700&WIDTH=983&HEIGHT=969&LAYERS=OS_Rasters:250000_Colour&STYLES=&FORMAT=image/png&DPI=96&MAP_RESOLUTION=96&FORMAT_OPTIONS=dpi:96&TRANSPARENT=TRUE HTTP/1.1" 200 1849401 "-" "QGIS QGIS/2.4.0-

Rasters:250000_Colour&STYLES=&FORMAT=image/png&DPI=96&MAP_RESOLUTION=96&FORMAT_OPTIONS=dpi:96&TRANSPARENT=TRUE HTTP/1.1" 200 1849401 "-" "QGIS QGIS/2.4.0-Chugiak" 

ARENT=TRUE HTTP/1.1" 200 1849401 "-" "QGIS QGIS/2.4.0-Chugiak" 

10.90.69.154 - - [30/Jul/2014:13:52:41 +0100] "GET /geoserver/ows?SERVICE=WMS&REQUEST=GetCapabilities HTTP/1.1" 200

17204 "-" "QGIS QGIS/2.4.0-Chugiak" 

10.90.69.154 - - [30/Jul/2014:13:52:41 +0100] "GET

/geoserver/ows?SERVICE=WMS&VERSION=1.3.0&REQUEST=GetMap&BBOX=420188.08987572597106919,272495.9071221339982003,456766.15670994500396773,299234.003663664974

82003,456766.15670994500396773,299234.00366366497473791&CRS=EPSG:27700&WIDTH=423&HEIGHT=309&LAYERS=Public_Data_DB:RAILWAY_FREIGHT_WSHIRE&STYLES=&FORMAT=image/png&DPI=96&MAP_RESOLUTION=96&FORMAT_OPTIONS=dpi:96&TRANSPARENT=TRUE HTTP/1.1" 200 1468 "-" "QGIS QGIS

_Data_DB:RAILWAY_FREIGHT_WSHIRE&STYLES=&FORMAT=image/png&DPI=96&MAP_RESOLUTION=96&FORMAT_OPTIONS=dpi:96&TRANSPARENT=TRUE HTTP/1.1" 200 1468 "-" "QGIS QGIS/2.4.0-Chugiak"

=dpi:96&TRANSPARENT=TRUE HTTP/1.1" 200 1468 "-" "QGIS QGIS/2.4.0-Chugiak"

History

#1 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
